#
# spec file for package iptables
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           iptables
License:        GPL v2 or later
Group:          Productivity/Networking/Security
AutoReqProv:    on
Version:        1.4.20
%define real_ver 1.4.20
Release:        1.5
Summary:        IP Packet Filter Administration
Source0:        %name-%version.tar.bz2
Source1:        %{name}-1.4.2-rc1-debian-howtos.tar.bz2
Url:            http://netfilter.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  linux-kernel-headers libnfnetlink-devel pkg-config sgmltool
%else
BuildRequires:	kernel-headers libnfnetlink-devel pkgconfig linuxdoc-tools
%endif

BuildRequires:	chrpath

%if "%{?vendor_uuid}" != ""
Provides:	%name(vendor=%vendor_uuid) = %version-%release
%endif

%description
Iptables is used to set up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel. This version requires kernel
2.4.0 or newer.



Authors:
--------
	Netfilter Team <netfilter-devel@vger.kernel.org>

%package devel
License:        GPL v2 or later
Summary:        Libraries, Headers and Development Man Pages for iptables
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
These libraries are needed to compile programs against iptables.



Authors:
--------
	Netfilter Team <netfilter-devel@vger.kernel.org>

%prep
%setup -q -a 1

%build
autoreconf -f -i
%configure --libexecdir=%{_libdir} PACKAGE_VERSION=%{real_ver}
%__make %{?jobs:-j%jobs} PACKAGE_VERSION=%{real_ver}
# build howtos
cd howtos
%__make

%install
%__make DESTDIR=$RPM_BUILD_ROOT install PACKAGE_VERSION=%{real_ver}
rm -f "$RPM_BUILD_ROOT/%_libdir"/*.la;
# RPATH in %{_libdir}/xtables/*.so /usr/src/packages/BUILD/iptables-1.4.17/libxtables/.libs
for FILE in `ls -1A %{buildroot}%{_libdir}/xtables/*.so` ; do
 chrpath -d ${FILE}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING INCOMPATIBILITIES howtos/*.html
%doc %{_mandir}/man8/*
%doc %{_mandir}/man1/iptables-xml.1*
%{_bindir}/iptables*
%{_sbindir}/xtables*
%{_sbindir}/iptables*
%{_sbindir}/ip6tables*
%{_sbindir}/nfnl_osf
%{_libdir}/xtables
%{_libdir}/*.so.*
%dir %{_datadir}/xtables
%{_datadir}/xtables/pf.os

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%_libdir/pkgconfig/*

%changelog
* Sat Nov 16 2013 cs@linux-administrator.com
- update to release 1.4.20
* Mon May 13 2013 cs@linux-administrator.com
- update to release 1.4.18
* Sun Jan 13 2013 cs@linux-administrator.com
- update to release 1.4.17
- added libip6t_NETMAP-linkfix.patch from upstream
- added libip6t_DNPT-wordingfix.patch from upstream
* Wed Dec 12 2012 cs@linux-administrator.com
- update to release 1.4.16.3
* Tue Oct  9 2012 cs@linux-administrator.com
- update to release 1.4.16.2
* Mon Aug 27 2012 cs@linux-administrator.com
- update to release 1.4.15
* Sun May 27 2012 cs@linux-administrator.com
- update to release 1.4.14
* Sat Apr 21 2012 cs@linux-administrator.com
- update to release 1.4.13
* Fri Jan  6 2012 cs@linux-administrator.com
- update to release 1.4.12.2
